package com.git.files.model;

public class FileInfo {

    private String file_name;
    private String file_path;
    private int size;
    private String encoding = "base64";
    private String content;
    private String content_sha256;
    private String ref;
    private String blob_id;
    private String commit_id;
    private String last_commit_id;

    // Campos adicionales
    private String branch;
    private String author_email;
    private String author_name;
    private String commit_message;

    public String getFile_name() {
        return this.file_name;
    }

    public void setFile_name(String file_name) {
        this.file_name = file_name;
    }

    public String getFile_path() {
        return this.file_path;
    }

    public void setFile_path(String file_path) {
        this.file_path = file_path;
    }

    public int getSize() {
        return this.size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public String getEncoding() {
        return this.encoding;
    }

    public void setEncoding(String encoding) {
        this.encoding = encoding;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent_sha256() {
        return this.content_sha256;
    }

    public void setContent_sha256(String content_sha256) {
        this.content_sha256 = content_sha256;
    }

    public String getRef() {
        return this.ref;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getBlob_id() {
        return this.blob_id;
    }

    public void setBlob_id(String blob_id) {
        this.blob_id = blob_id;
    }

    public String getCommit_id() {
        return this.commit_id;
    }

    public void setCommit_id(String commit_id) {
        this.commit_id = commit_id;
    }

    public String getLast_commit_id() {
        return this.last_commit_id;
    }

    public void setLast_commit_id(String last_commit_id) {
        this.last_commit_id = last_commit_id;
    }

    public String getAuthor_email() {
        return this.author_email;
    }

    public void setAuthor_email(String author_email) {
        this.author_email = author_email;
    }

    public String getAuthor_name() {
        return this.author_name;
    }

    public void setAuthor_name(String author_name) {
        this.author_name = author_name;
    }

    public String getCommit_message() {
        return this.commit_message;
    }

    public void setCommit_message(String commit_message) {
        this.commit_message = commit_message;
    }

    public String getBranch() {
        return this.branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

}